Bug 1225631 - [GSS](6.4.z) HHH-2851 - ParameterTranslationsImpl fails to correctly determine parameter type [NEEDINFO]
Summary: [GSS](6.4.z) HHH-2851 - ParameterTranslationsImpl fails to correctly determin...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Hibernate   
(Show other bugs)
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: CR1
: EAP 6.4.3
Assignee: Gail Badner
QA Contact: Martin Simka
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1231259 1232160 1268468
TreeView+ depends on / blocked
 
Reported: 2015-05-27 20:29 UTC by Ricardo Martinelli de Oliveira
Modified: 2017-01-17 10:35 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1268468 (view as bug list)
Environment:
Last Closed: 2017-01-17 10:35:45 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
gbadner: needinfo? (rmartine)


Attachments (Terms of Use)
distilled version of the reproducer (3.32 MB, application/zip)
2015-07-31 09:03 UTC, Jan Martiska
no flags Details

Description Ricardo Martinelli de Oliveira 2015-05-27 20:29:41 UTC
Description of problem:
Oracle returns ORA-00932: inconsistent datatypes: expected NUMBER got BINARY  every time when passed null value to an INTEGER value.

The example code below uses Native Query:

String sql = "SELECT * FROM schema.Tabela WHERE integerColumn = ?"
Query query = getEntityManager().createNativeQuery(sql, classe);
query.setParameter(1, null);
query.getResultList(); //Error

Version-Release number of selected component (if applicable):
6.3.0

How reproducible:
Every time you set null in a query

Steps to Reproduce:
1. Download attachment testcase01451056
2. Follow instructions in READ-ME.txt file
3. Run the test case

Actual results:
It returns -00932: inconsistent datatypes: expected NUMBER got BINARY from Oeacl database

Expected results:
Native Query runs  without any errors

Additional info:

Comment 5 Jan Martiska 2015-07-31 09:03:35 UTC
Created attachment 1057995 [details]
distilled version of the reproducer

Comment 12 Petr Penicka 2017-01-17 10:35:45 UTC
Retroactively bulk-closing issues from released EAP 6.4 cummulative patches.


Note You need to log in before you can comment on or make changes to this bug.